Results 1 to 16 of 16
  1. Matt J's Avatar
    CrackBerry Master

    Posts
    1,000 Posts
    Global Posts
    1,024 Global Posts
    Thread AuthorThread Author   #1  

    Default Happy New Year: Where is OS 5.0 for the Bold 9000?

    Well, 2010 is almost upon us. I remember rumors and rumors of rumors that OS 5.0 would be out before the year end.

    Alas, do you suppose RIM will surprise us with some midnight upgrade madness?
    BlackBerry Z10 (10.2.1.2141), BlackBerry PlayBook 64GB Wi-Fi (2.1.0.1753), Microsoft Surface 2 (Windows 8.1 RT)
  2. John Yester's Avatar
    Retired Forums Moderator

    Posts
    11,289 Posts
    Global Posts
    14,978 Global Posts
    #2  

    Default

    Nope lol........


  3. edkim4583's Avatar
    CrackBerry User

    Posts
    33 Posts
    #3  

    Default

    No. Im willing to bet with 5.0 upgrade, there will be extremely little reason to buy 9700. So they will screw us by releasing it late 2010. Its software crap like this that makes me think about going for the Nexus One. How much longer will updates be held hostage by greedy lazy carriers?
  4. era3z's Avatar
    CrackBerry Abuser

    Posts
    173 Posts
    PIN
    Ask ;)
    #4  

    Default

    Hahahaha... yeah... I wish any carriers or RIM themselves will give us a nice New Year's surprise with the 5.0 OS =)

    but it looks like rumors are just rumors..
  5. infamyx's Avatar
    CrackBerry Genius

    Posts
    1,938 Posts
    Global Posts
    1,939 Global Posts
    PIN
    Implying I still use a BB...
    #5  

    Default

    Quote Originally Posted by edkim4583 View Post
    No. Im willing to bet with 5.0 upgrade, there will be extremely little reason to buy 9700. So they will screw us by releasing it late 2010. Its software crap like this that makes me think about going for the Nexus One. How much longer will updates be held hostage by greedy lazy carriers?
    As nice as 5.0 is on the 9000, the performance is still better on the 9700 im just not upgrading because i dont want a smaller phone.

    Besides you can easily DL 5.0 off here, so quitcherbitchin
    GOD'S IN HIS HEAVEN, ALL'S RIGHT WITH THE WORLD
  6. Garz's Avatar
    Retired Mod

    Posts
    8,845 Posts
    Global Posts
    13,096 Global Posts
    #6  

    Default

    Rumors I heard were Febuary ish for most carriers. The end of 09 was not realistic
  7. frozencloud's Avatar
    CrackBerry User

    Posts
    76 Posts
    Global Posts
    242 Global Posts
    #7  

    Default

    Quote Originally Posted by Garz View Post
    Rumors I heard were Febuary ish for most carriers. The end of 09 was not realistic
    Then installing leaks it is......noone gonna wait another 30+ days for 5.0
  8. vento's Avatar
    CrackBerry Abuser

    Posts
    175 Posts
    #8  

    Default

    its all business, they want you to upgrade and spend the money.
  9. thejgeffect's Avatar
    CrackBerry Addict

    Posts
    855 Posts
    #9  

    Default

    ahaha jesus this is getting heated. For the record the OS 5 release has nothing to do with ATT.
    "I like my women like I like my loafers: expensive, fit, and more often than not, with a bit of bling around their necks."
  10. Phongables's Avatar
    CrackBerry Abuser

    Posts
    174 Posts
    Global Posts
    192 Global Posts
    #10  

    Default

    we will see O.S 5.0 summer of 10' for the bold.
  11. Garz's Avatar
    Retired Mod

    Posts
    8,845 Posts
    Global Posts
    13,096 Global Posts
    #11  

    Default

    Quote Originally Posted by frozencloud View Post
    Then installing leaks it is......noone gonna wait another 30+ days for 5.0
    Yes leaks are the way to go. We never really know when the carriers will release
  12. jason_tee's Avatar
    CrackBerry User

    Posts
    63 Posts
    Global Posts
    69 Global Posts
    PIN
    210983E1
    #12  

    Default

    It is all about business. By releasing new OS means less people buying the new model which is Bold 2 / Storm for now. We can't blame them for not releasing new OS but I do hope OS 5 will release soon though, lol.

    Posted from my CrackBerry at wapforums.crackberry.com
  13. LittleRedDot's Avatar
    CrackBerry Master

    Posts
    1,339 Posts
    #13  

    Default

    Quote Originally Posted by vento View Post
    its all business, they want you to upgrade and spend the money.
    You guys can't be serious. Do you not read these forums? Aside from this being a duplicate thread, there have been a lot of members explaining that RIM has ABSOLUTELY NOTHING TO DO with offical 5.0 releases. RIM releases a 5.0 OS damn near every week, if not more often.

    IT'S UP TO THE CARRIER TO CHOOSE A VERSION THAT BEST FITS THEM AND THEIR CUSTOMERS, TWEAK IT FOR THEIR NETWORK, REMOVE WHAT THEY WANT, ADD WHAT THEY WANT, TEST IT, TEST IT, TEST IT, THEN "OFFICIALLY" RELEASE IT TO THE CUSTOMER.

    All of you people are waiting around for an official version. Well when your carrier releases their "official" version it won't be the latest one, because it takes them months to get it ready. So they'll use, as example, 5.0.93 or 5.0.100. Well you can have a much better OS than that by GOING TO THE BETA FORUMS AND DOWNLOADING IT.

    I swear you people act like betas are posionous and incomplete, like there's a real risk that as soon as you install it your phone is going to go up in smoke like the mission impossible movie. BETAS ARE COMPLETE, STABLE FIRMWARE THAT IS READY FOR USE. In fact, I have it on good authority that the main reason AT&T holds back official releases is so they can remove and/or disable any features that they can charge you for.

    If you want to sit around complaining and whining that you're being punished by not having 5.0 yet, at least get it right and blame the right people. Better yet, stop whining and just put it on your phone already.
  14. frozencloud's Avatar
    CrackBerry User

    Posts
    76 Posts
    Global Posts
    242 Global Posts
    #14  

    Default

    I think you kinda misinterpret vento there littlereddot. I think he meant that the carriers are trying to milk out more money from the 9700 before they give the older phone any 5.0 official releases. And about your "beta" comments...not everyone get the same results. When I install the .411 leaks I was getting all these problem. In addition, it took me like 3-4 tries file swapping, wiping my phone and reinstalling to finally get the east-asia support to work right and even then the input is missing. And when I got the inputs to start working...my sms wasn't going out or in. So I don't know what you are talking about "COMPLETE, STABLE"? Just cuz your phone work out fine not like everyone else will. Not everyone want to go through all that trouble...so yeah...happy new year!

    Posted from my CrackBerry at wapforums.crackberry.com
  15. gunston's Avatar
    CrackBerry Addict

    Posts
    552 Posts
    #15  

    Default

    it is all about waiting for the official release.
    yet, i have been loaded with OS5 .411, so far no issue with it.

    All we need to do is.. waiting... waiting.... and waiting...
  16. LittleRedDot's Avatar
    CrackBerry Master

    Posts
    1,339 Posts
    #16  

    Default

    I don't know what manner of gibberish you're ranting about, but you seem to be the only one having to go through a bunch of rubbish to get your phone to work right with .411. And I didn't say that .411 was the best bet, they have plenty of other 5.0 OS to choose from, some of which are so much more stable than "official" 4.6 releases. And I don't know what "trouble" you're talking about either. Upgrading is upgrading regardless of what version you choose. As far as the other point, we are in agreement that the carriers are delaying official releases so they can squeeze the most profit from their customers. What I'm saying is that I'm sick of hearing people blame RIM, when they so obviously have nothing to do with it. It's clear you hadn't read my post thoroughly, so yeah, happy new year!

    Posted from my CrackBerry at wapforums.crackberry.com

Posting Permissions